Name:		qtiplot
Summary:	Data Analysis and Scientific Plotting
Version:	0.9.7.13
Release:	1%{?dist}
URL:		http://soft.proindependent.com/qtiplot.html
License:	GPLv2+
Group:		Applications/Engineering
Source0:	http://download.berlios.de/qtiplot/%{name}-%{version}.tar.bz2
Source1:	http://soft.proindependent.com/misc/colormaps.tgz
Source2:	%{name}.desktop
Source3:	%{name}.xml
#fix build.conf to use system-wide libs and enable CustomInstall
Patch0:		qtiplot-buildconf.patch
#fix manual building
Patch1:		qtiplot-manual.patch
#fix build warning of Note.cpp
Patch2:		qtiplot-nonvoid-return.patch
#fix installation paths of fitPlugins
Patch3:		qtiplot-fitPlugins.patch
#fix installation paths and enable building of translation files
Patch4:		qtiplot-install-path.patch
#fix origin.pri to use system-wide liborigin2
Patch5:		qtiplot-liborigin2.patch
#fix qtiplot.pro to use system-wide QTeXEngine
Patch6:		qtiplot-QTeXEngine.patch
#disable choosing of help folder at runtime
Patch7:		qtiplot-manualpath.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	qt4-devel
#BuildRequires:	qt-assistant-adp-devel
BuildRequires:	liborigin2-devel
BuildRequires:	QTeXEngine-devel
BuildRequires:	muParser-devel >= 1.32
BuildRequires:	gsl-devel
BuildRequires:	boost-devel
#use local copy till upstream catches up
#BuildRequires:	qwt-devel
#BuildRequires:	qwtplot3d-qt4-devel
#BuildRequires:	libxls-devel
BuildRequires:	quazip-devel
BuildRequires:	libpng-devel
#python-devel comes with sip-devel
#BuildRequires:	python-devel
BuildRequires:	PyQt4-devel 
#sip-devel comes with PyQt4-devel
#BuildRequires:	sip-devel
BuildRequires:	docbook-utils
BuildRequires:	docbook-style-xsl
BuildRequires:	dblatex
BuildRequires:	desktop-file-utils
BuildRequires:	dos2unix
Requires:	muParser >= 1.32
Requires:	hicolor-icon-theme
Requires:	PyQt4


%description
Scientists often need to use data analysis and plotting software.
For Windows systems there is a well known and widely used software
called Origin, which is not free, of course. The purpose of this
project is to develop a free (open source), platform independent
alternative to Origin.

%package doc

Summary:		Documentation for %{name}
Group:			Documentation
Requires:		%{name} = %{version}-%{release}
BuildArch:		noarch 

%description doc
The %{name}-doc package contains documentation for the %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

#use system-wide libs of liborigin2 and QTeXEngine
rm -rf 3rdparty/liborigin 3rdparty/QTeXEngine
#fix docbook to adapt different versions of fedora
sed -i "s/VER-REL/`rpm -q docbook-dtds|sed "s/^[^0-9]*//;s/\.noarch//;\
s/\./\\\./g"`/" manual/docbook-en/index.docbook 
#fix default path for fitPlugins
sed -i "s\/usr/lib/qtiplot/plugins\%{_libdir}/%{name}/plugins\g" \
	qtiplot/src/core/ApplicationWindow.cpp
#fix source files for debug package
find %{_builddir}/%{name}-%{version} -name '*.h' -exec dos2unix {} \;
find %{_builddir}/%{name}-%{version} -name '*.hh' -exec dos2unix {} \;
find %{_builddir}/%{name}-%{version} -name '*.hpp' -exec dos2unix {} \;
find %{_builddir}/%{name}-%{version} -name '*.c' -exec dos2unix {} \;
find %{_builddir}/%{name}-%{version} -name '*.cc' -exec dos2unix {} \;
find %{_builddir}/%{name}-%{version} -name '*.cpp' -exec dos2unix {} \;
find %{_builddir}/%{name}-%{version} -type d -exec chmod 0755 {} \;
find %{_builddir}/%{name}-%{version} -type f -exec chmod 0644 {} \;

%build
cp -p build.conf.example build.conf
export PATH=%{_qt4_bindir}:$PATH
%_qt4_qmake LIB=%{_libdir} QTIDOCDIR=%{_docdir}/%{name}-%{version}
make %{?_smp_mflags}
#fix file encoding files 
#dos2unix gpl_licence.txt
sed -i 's/\r//' gpl_licence.txt
dos2unix qtiplot/qti_wordlist.txt
dos2unix qtiplot/qtiplotrc.py
dos2unix qtiplot/qtiUtil.py
dos2unix manual/html/qtiplot*

%install
rm -rf %{buildroot}
make INSTALL="install -p" INSTALL_ROOT=%{buildroot} install
#fix wrong manual path(important!!!)
mv %{buildroot}%{_docdir}/%{name}-%{version}/manual/html/* %{buildroot}%{_docdir}/%{name}-%{version}/manual
rmdir %{buildroot}%{_docdir}/%{name}-%{version}/manual/html
#remove local copy qwt
rm -rf %{buildroot}%{_prefix}/local
#remove local copy qwtplot3d
rm -rf %{buildroot}%{_builddir}
desktop-file-install --vendor="" \
	--dir=%{buildroot}%{_datadir}/applications %{SOURCE2}
mkdir -p %{buildroot}%{_datadir}/%{name}
tar -xf %{SOURCE1} -C %{buildroot}%{_datadir}/%{name}

#remove symlinks
find %{buildroot}%{_libdir}/%{name} -type l -exec rm {} \;

#for the icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/128x128/apps
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/128x128/mimetypes
install -cpm 0644 qtiplot_logo.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
install -cpm 0644 %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png \
	%{buildroot}%{_datadir}/icons/hicolor/128x128/mimetypes/application-x-qtiplot-project.png
#add mime-info
mkdir -p %{buildroot}%{_datadir}/mime/packages
install -cpm 0644 %{SOURCE3} %{buildroot}%{_datadir}/mime/packages/%{name}.xml

%post
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null ||:
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}-%{version}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_docdir}/%{name}-%{version}/README.html
%{_docdir}/%{name}-%{version}/gpl_licence.txt
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/mimetypes/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime/packages/*
%{_mandir}/man1/%{name}.1*

%files doc
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/manual


%changelog
* Thu Mar 18 2010 Chen Lei <supercyper@163.com> - 0.9.7.13-1
- upstream to 0.9.7.13
- remove ldconfig in scripts
- add mimetype icons

* Tue Feb 09 2010 Chen Lei <supercyper@163.com> - 0.9.7.12-1
- upstream to 0.9.7.12
- rename all patches

* Sat Feb 06 2010 Frank Büttner <frank-buettner@gmx.net> - 0.9.7.11-5
- add mising file to mock

* Wed Feb  3 2010 Chen Lei <supercyper@163.com> - 0.9.7.11-4
- enable importing of ODF spreadsheet files

* Fri Jan 29 2010 Chen Lei <supercyper@163.com> - 0.9.7.11-3
- fixed desktop mime field

* Fri Jan 29 2010 Chen Lei <supercyper@163.com> - 0.9.7.11-2
- add mime-info

* Sat Jan 23 2010 Chen Lei <supercyper@163.com> - 0.9.7.11-1
- upstream to 0.9.7.11

* Sat Jan 10 2009 Frank Büttner <frank-buettner@gmx.net> - 0.9.7.4-8
- fix dos2unix

